package cn.com.countrygarden.bi.main.service.dup;

import cn.com.countrygarden.bi.main.core.Result;

import java.util.List;
import java.util.Map;

/**
 * Created by huangzhengjun on 2018/2/8.
 */
public interface CaseFieldInfoService {

    /**
     * 插入案场基础信息
     *
     * @param paramMap
     * @return
     */
    int insertCaseFieldInfo(Map<String, Object> paramMap);

    /**
     * 修改案场基础信息
     *
     * @param paramMap
     * @return
     */
    Map<String, Object> modifyCaseFieldInfo(Map<String, Object> paramMap);

    int deleteCaseFieldInfoById(int id, String userCode);

    /**
     * 查询
     *
     * @param paramMap
     * @return
     */
    Result queryCaseFieldInfo(Map<String, Object> paramMap);

    Map<String,Object> queryById(int id);
}
